%define		kdeframever	5.13
%define		qtver		5.3.2
%define		kfname		ktextwidgets

Summary:	Text editing widgets
Name:		kf5-%{kfname}
Version:	5.13.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	bdebf6a00f5b1acd6d59b2a143e81ed5
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	Qt5Xml-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	kf5-kauth-devel >= %{version}
BuildRequires:	kf5-kcodecs-devel >= %{version}
BuildRequires:	kf5-kcompletion-devel >= %{version}
BuildRequires:	kf5-kconfig-devel >= %{version}
BuildRequires:	kf5-kconfigwidgets-devel >= %{version}
BuildRequires:	kf5-kcoreaddons-devel >= %{version}
BuildRequires:	kf5-kdbusaddons-devel >= %{version}
BuildRequires:	kf5-kguiaddons-devel >= %{version}
BuildRequires:	kf5-ki18n-devel >= %{version}
BuildRequires:	kf5-kiconthemes-devel >= %{version}
BuildRequires:	kf5-kitemviews-devel >= %{version}
BuildRequires:	kf5-kservice-devel >= %{version}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{version}
BuildRequires:	kf5-kwindowsystem-devel >= %{version}
BuildRequires:	kf5-sonnet-devel >= %{version}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KTextWidgets provides widgets for displaying and editing text. It
supports rich text as well as plain text.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT

%find_lang %{kfname}5

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kfname}5.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %ghost %{_libdir}/libKF5TextWidgets.so.5
%attr(755,root,root) %{_libdir}/libKF5TextWidgets.so.*.*
%{_datadir}/kservicetypes5/kregexpeditor.desktop

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KTextWidgets
%{_includedir}/KF5/ktextwidgets_version.h
%{_libdir}/cmake/KF5TextWidgets
%attr(755,root,root) %{_libdir}/libKF5TextWidgets.so
%{qt5dir}/mkspecs/modules/qt_KTextWidgets.pri
%changelog
* Fri Sep 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-ktextwidgets.git;a=log;h=master

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 48a2386
- up to 5.13.0

* Sat May 23 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 27dc180
- rel 1

* Fri May 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ee8dbaf
- up to 5.10.0

* Tue Dec 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1f2c08b
- up to 5.4.0

* Thu Jul 10 2014 Elan Ruusamäe <glen@delfi.ee> 0c57eff
- tar.xz deps

* Thu Jul 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 9c6a72a
- new

